<nz-content>
    <div class="inner-content">
        <div class="flex flex-col card w-full bg-slate-50 rounded-md shadow h-100 mt-2">
            <div class="flex flex-row w-full">
                <div class="flex">
                    <div class="flex-shrink-0 p-2">
                        <div nz-tooltip nzTooltipTitle="คลิกเลือกโรค" class="flex items-center justify-center h-12 w-12 rounded-full bg-indigo-400 text-white cursor-pointer hover:bg-indigo-500" (click)="showDx = true">
                            <i class="fa-solid fa-house-user" (click)="showDx = true"></i>
                        </div>
                    </div>
                    <div class="flex w-full">
                        <div class="ml-4 mt-2">
                            <dt class="text-lg leading-6 font-medium text-gray-900">
                                เลือกโรค
                            </dt>
                            <dd class="mt-0 text-base text-gray-500">
                                group-disease
                            </dd>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="showDx" class="w-full">
                <div class="flex flex-wrap  rounded-md  border-violet-500 p-2">

                    <div nz-row>
                        <div class="truncate border-solid rounded border border-sky-500 mr-2 mb-2 p-2 cursor-pointer hover:bg-sky-200 ..."
                            *ngFor="let d of dxData" nz-col nzXs="12" nzSm="8" nzMd="6" nzLg="4" nzXl="2" (click)="dxlistClick(d.id,d.name);">
                            {{d.name}}
                        </div>

                    </div>
                </div>
            </div>

        </div>

        <div *ngIf="!showDx" class="inner-content">
            Progress Note :[ {{dxName}} ]

            <div class="rounded-lg border-blue-200 border-2 p-5">

                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">
                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Subjective<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionSubjective " class="flex flex-row">
                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionSubjectClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">

                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Objective<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionObjective " class="flex flex-row">

                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionObjectClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">
                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Assessment<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionsAssessment " class="flex flex-row">

                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionAssessmentClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="flex flex-row rounded-lg bg-slate-100 shadow-md p-5 w-full min-w-80 mb-5">

                    <div class="flex flex-row w-full">

                        <div class="flex flex-col w-full content-center">
                            <div nz-row nzSpan="12" class="w-[100%] font-bold">
                                Plan<br>

                                <div class="flex flex-col w-[100%]">
                                    <span *ngFor="let sub of optionPlan" class="flex flex-row">

                                        <input type="checkbox" id="vehicle1" name="vehicle1"
                                            value="{{sub.progress_note}}" (click)="optionPlanClick($event)">
                                        <label for="vehicle1"> {{sub.progress_note}}</label><br>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div>
                    <div class="flex justify-center content-center mb-2 mr-3 mt-4">
                        <button nz-button nzType="primary" (click)="saveProgressNote()">
                            <!-- <i class="fas fa-save"></i>&nbsp; -->
                            บันทึก
                        </button>&nbsp;&nbsp;
                        <button nz-button>
                            <!-- <i class="fas fa-save"></i>&nbsp; -->
                            ยกเลิก
                        </button>
                    </div>
                </div>

            </div>

        </div>
    </div>

</nz-content>